w17 23.03.2017 21:34:03 +0300 - build 99

1. forum: Автоматическая замена шары на букву диска
   При переходе из списка шар сервера к выделенному элементу по Enter теперь не происходит
   переход к диску если он назначен, по Ctrl-PgDn - старое поведение (если есть диск - переход к нему).

zg 28.06.2016 00:01:31 +0200 - build 98

1. поддержка фаровской истории.

drkns 22.06.2016 21:50:58 +0200 - build 97

1. Некорректно отображались надписи на линейке клавиш.

2. Уточнения английской локализации.

drkns 28.12.2015 15:16:43 +0200 - build 96

1. Теперь настройки ещё и работают.

drkns 01.05.2014 12:39:45 +0200 - build 95

1. Mantis#0002654: TechInfo #35: Network/HiddenSharesAsHidden
   Редизайн настроек.

svs 23.04.2014 14:23:34 +0400 - build

1. Mantis#0002654: TechInfo #35: Network/HiddenSharesAsHidden
   Уточнение хелпа

svs 22.04.2014 18:16:58 +0400 - build 94

1. Mantis#0002654: TechInfo #35: Network/HiddenSharesAsHidden
   группировка опций в настройках плагина

svs 21.04.2014 11:51:29 +0400 - build 93

1. Уточнение build 92

svs 21.04.2014 11:23:21 +0400 - build 92

1. Mantis#0002654: TechInfo #35: Network/HiddenSharesAsHidden

drkns 18.11.2012 22:16:26 +0200 - build 91

1. Mantis#0002199: сортировка по описаниям компьютеров

t-rex 06.10.2012 20:03:33 +0200 - build 90

1. x64 warnings.

zg 23.09.2012 17:51:14 +0200 - build 89

1. Far 3.0 API 2830

zg 22.09.2012 01:40:45 +0200 - build 88

1. Far 3.0 API 2821

zg 20.09.2012 21:51:46 +0200 - build 87

1. Far 3.0 API 2813

zg 16.09.2012 19:00:05 +0200 - build 86

1. Far 3.0 API 2802

zg 16.09.2012 15:11:32 +0200 - build 85

1. Far 3.0 API 2799

zg 26.03.2012 16:08:11 +0200 - build 84

1. Far 3.0 API 2572

zg 13.03.2012 02:04:32 +0200 - build 83

1. Far 3.0 API 2541

drkns 04.02.2012 13:56:24 +0200 - build 82

1. Warnings.

t-rex 13.01.2012 19:43:30 +0200 - build 81

1. Far 3.0 2373

t-rex 10.01.2012 23:32:13 +0200 - build 80

1. Mantis#834: Не работает подключение сетевых дисков когда галка "[ ] Показывать полные пути к общим ресурсам" снята.

2. Плагину было очень плохо в дебаге, хотя и сейчас не всё там хорошо.

drkns 02.01.2012 15:18:20 +0200 - build 79

1. Far 3 API.

svs 31.08.2011 13:40:28 +0300 - build 78

1. Небольшое уточнение кода.

svs 31.08.2011 11:08:29 +0300 - build 77

1. Mantis#0001854: неправильно работает комбинация AltShiftIns
   Т.к. плагин "особенный", то отдадим обработку AltShiftIns плагину.

2. Неправильно работал CtrlAltIns - вместо группы выделенных файлов в буфер помещалось имя "файлового объекта" под курсором.

svs 22.08.2011 16:05:13 +0300 - build 76

1. Far 3 API 2105

drkns 06.07.2011 09:57:43 +0200 - build 75

1. Убираем весь 9x/NT4 мусор.

svs 06.07.2011 10:30:30 +0300 - build 74

1. отвалился "net:" - последствия "копипасте" :-(

2. Форматирование кода
   AStyle --style=ansi --indent=tab=4 --brackets=break --indent-classes --indent-switches --indent-namespaces --indent-preprocessor --break-blocks --delete-empty-lines --unpad-paren --keep-one-line-statements --keep-one-line-blocks "!\!.!"


drkns 28.06.2011 22:07:49 +0200 - build 73

1. Far 3 API.

drkns 28.06.2011 20:42:03 +0200 - build 72

1. Warnings.

drkns 28.06.2011 16:36:47 +0200 - build 71

1. Far 3 API. Наконец-то собирается. Ахтунг - Favorites не работают.

svs 28.06.2011 15:43:12 +0300 - build 70

1. Починка KeyLabels. Всё ещё не собирается.
   Надо что-то делать с этими фаворитами. В качестве бреда:
     1. фавориты недоделаны
     2. пароли в реестре в открытом виде...
   Может в морг?

drkns 23.05.2011 19:18:02 +0200 - build 69

1. Продолжаем, всё ещё не собирается.

t-rex 25.04.2011 22:39:31 +0200 - build 68

1. Продолжаем, всё ещё не собирается.

t-rex 25.04.2011 21:41:19 +0200 - build 67

1. Продолжаем, всё ещё не собирается.

t-rex 25.04.2011 18:39:11 +0200 - build 66

1. Продолжаем, всё ещё не собирается.

2. Исправлена утечка HKEY.

t-rex 25.04.2011 14:41:36 +0200 - build 65

1. Начинаем ломать под Far 3.0. Не собирается.

2. Начинаем юзать DialogBuilder для Dialogs.

3. Начинаем юзать PluginSettings.

4. Начинаем убирать код 1.75.

t-rex 06.02.2011 00:26:48 +0200

1. lng,hlf -> utf8, reg -> Far2

drkns 15.10.2010 13:23:23 +0200 - build 64

1. Из W-версии убрана опция "Добавить к меню дисков::Клавиша доступа"

t-rex 04.05.2010 22:06:24 +0200 - build 63

1. gcc warnings

t-rex 04.05.2010 21:47:25 +0200 - build 62

1. Странные глюки из за бага в 61.

t-rex 01.05.2010 00:50:00 +0200 - build 61

1. Mantis#1342: Падение при использовании ключа /u со слишком длинным параметром.

t-rex 10.01.2010 23:23:19 +0200 - build 60

1. NM -> MAX_PATH

drkns 09.01.2010 14:17:27 +0200 - build 59

1. Far 2.0.1327.

drkns 09.01.2010 12:59:15 +0200 - build 58

1. Far 2.0.1325.

zg 07.01.2010 19:17:07 +0200 - build 57

1. far 2.0.1317.

drkns 06.01.2010 12:10:59 +0200 - build 56

1. Убран OPIF_FINDFOLDERS за ненадобностью.

t-rex 26.10.2009 17:00:00 +0200 - build 55

1. Переделка GetMinFarVersion и убрал старые проверки версии.

drkns 24.10.2009 20:23:01 +0200 - build 54

1. Far 2.0.1180.

t-rex 20.10.2009 20:26:38 +0200

1. Mantis#1125: Несоответствие регистра в названиях файлов.

zg 25.09.2009 09:39:05 +0200 - build 53

1. gcc сборка.

svs 10.09.2009 17:11:40 +0300 - build 52

1. Добавлена опция показа принтерных ресурсов (застолбили место :-)
   По умолчанию выключена.
   Для принтеров пока выставляется файловый атрибут FILE_ATTRIBUTE_VIRTUAL (чтобы можно было отработать в макросах, раскраске, etc.)
   Выгоды пока NULL (если не воспользоваться UserMenu и каким нибудь VB/JS/etc-скриптом).

t-rex 29.03.2009 19:11:54 +0200

1. From DiRTy GaRRy: патч от варнингов на разное выравнивание структур при компиляции плагина на VS9 с ключом /GL.

t-rex 28.03.2009 20:08:05 +0200 - build 51

1. Из за патча в 50 плагин не зоходил в замапленые диски.

t-rex 28.03.2009 00:45:05 +0200 - build 50

1. From mda: Mantis#700: Очень долгий вход в содержимое сетевых папок

t-rex 07.03.2009 18:16:18 +0200 - build 49

1. Mantis#696: Некоректная проверка на валидность MsgID в x64.

zg 24.02.2009 01:21:28 +0200 - build 48

1. Адаптация к новому PanelAPI в 2.0.789.

svs 19.02.2009 13:27:04 +0300 - build 47

1. Mantis#0000747: Плагины align, proclist и network: функция SetRegKey неверно вычисляет размер буфера в Unicode версии.
   (from alexeypa)

drkns 27.01.2009 16:09:51 +0200 - build 46

1. Адаптация к новому PanelAPI в 2.0.753.

drkns 06.12.2008 13:42:13 +0200 - build 45

1. Mantis#0000650: FAR не дает создать символическую ссылку на корневую шару

drkns 30.10.2008 18:51:31 +0200

1. Mantis#0000627: Плагин через файл проекта собирается не во всех конфигурациях

drkns 12.09.2008 12:10:17 +0200 - build 44

1. Если диалог ввода логина/пароля закрыть по Esс, он появлялся повторно.

drkns 07.09.2008 02:15:12 +0200 - build 43

1. Убрано ненужное FreePanelInfo.

drkns 05.09.2008 10:15:19 +0200 - build 42

1. Адаптация к новому PanelAPI в 1.8.

t-rex 08.06.2008 19:06:32 +0200 - build 41

1. gcc 4.3.0 warnings removed.

yjh 17.11.2007 21:04:05 +0300 - build 40

1. Был не скорректирован GetMinFARVersion для 1.80

t-rex 17.11.2007 13:13:48 +0200 - build 39

1. Работа с новым DialogAPI в 1.8.

yjh 13.11.2007 05:49:18 +0300

1. В makefile_vc добавлено автоматическое включение отладочныго вывода
   при сборке DEBUG'а (отключается опцией NO_LOG)

2. Пара правок для выводка отладки в 1.80 и, заодно, в A-версии последний
   sprintf, заменён на snprintf :)


yjh 13.11.2007 04:25:25 +0300 - build 38

1. Поддержка 1.80 (unicode)

2. Слегка почищен текст


t-rex 07.02.2007 17:55:49 +0200 - 37

1. Ужасные баги с историей в x64.


t-rex 06.02.2007 01:02:21 +0200

1. Общий мэйк файл для x64 и x86 для VC.


t-rex 04.12.2006 07:17:20 +0200 - build 36

1. Сборка для x64 + мэйк для VC.

2. Начинаем писать changelog, я сделал себе макрос
   "t - r e x Space $Date \"%d.%m0.%Y %H:%M:%S %Z\" Enter"
   чтоб выводить заголовок changelog-а.
   Последующие логи надо писать сверху - т.е. файл будет идти хронологически снизу вверх.
   В changelog прошу писать в Win кодировке.
